Subject: bug#50731: `progress-reporter-update' docstring and `backward-sexp' interaction

From: Stefan Kangas <[email-masked]>
Date: Thu, 23 Sep 2021 11:04:04 +0200

Eli Zaretskii <[email-masked]> writes:

> I read this as the issue you'd like to solve: to prevent checkdoc from
> flagging this as a mistake.  Was I misinterpreting your report?

No, I guess this bug report touched on several different things is all.

It seems productive to focus the discussion on checkdoc as you suggest.

> IOW, I see no reason whatsoever to believe backward-sexp is the
> problem here.  The problem is in checkdoc, and IMO should be solved
> there.

True.  I guess it makes sense to just use 'backward-word' instead.
Unless anyone has any better suggestions, I will try this approach and
see how well it works in practice.